lib \ cgraph \ graph.c中的agclose中的递归函数调用导致堆栈消耗(CVE-2019-9904)

 
0 57
念慈
2020-03-19 16:20

漏洞描述

在graphviz 2.40.1中的libcdt.a中的lib \ cdt \ dttree.c中发现了一个问题。由于libcgraph.a中lib \ cgraph \ graph.c中的递归agclose调用与lib \ cgraph \ subg.c中的agfstsubg相关,因此发生堆栈消耗。

基本信息

CVE编号: CVE-2019-9904

漏洞类型: 未知

危险等级: 低危

披露时间: 2019-03-21

cvss3评分:6.5

cvss3因子:CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

修复建议

参考链接

https://gitlab.com/graphviz/graphviz/issues/1512

https://research.loginsoft.com/bugs/stack-buffer-overflow-in-function-agclose-graphviz/

来源:阿里云漏洞公告

本文内容由互联网用户自发贡献,版权归作者所有,本站不拥有所有权也不承担相关法律责任。如需转载请按以下形式注明来源: 复制

文章来源:阿里云牛优惠资讯网
文章标题:lib \ cgraph \ graph.c中的agclose中的递归函数调用导致堆栈消耗(CVE-2019-9904)
原文地址:https://aliyunnew.com/a/CVE-2019-9904.html
发布时间:2020-03-19 16:20
相关话题
没有相关话题
猜您喜欢
没有相关数据
回帖
  • 抢占沙发~~